MalformedLinkException (Java Platform SE 8 )
Keywords: javax.naming.MalformedLinkException class
Date: 2020-03-26

compact3
javax.naming

## Class MalformedLinkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.LinkException
        - - javax.naming.MalformedLinkException

- All Implemented Interfaces:
    Serializable

      public class MalformedLinkException
      extends LinkException

  This exception is thrown when a malformed link was encountered while resolving or constructing a link.

  Synchronization and serialization issues that apply to LinkException apply directly here.

  Since:
    1.3
  See Also:
    `LinkRef.getLinkName()`, `LinkRef`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.LinkException

      `linkExplanation, linkRemainingName, linkResolvedName, linkResolvedObj`

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MalformedLinkException()` Constructs a new instance of Malformed LinkException.
    `MalformedLinkException(String explanation)` Constructs a new instance of MalformedLinkException with an explanation All the other fields are initialized to null.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.LinkException

      `getLinkExplanation, getLinkRemainingName, getLinkResolvedName, getLinkResolvedObj, setLinkExplanation, setLinkRemainingName, setLinkResolvedName, setLinkResolvedObj, toString, toString`

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MalformedLinkException

          public MalformedLinkException(String explanation)

      Constructs a new instance of MalformedLinkException with an explanation All the other fields are initialized to null.
      Parameters:
        `explanation` - A possibly null string containing additional detail about this exception.

    - #### MalformedLinkException

          public MalformedLinkException()

      Constructs a new instance of Malformed LinkException. All fields are initialized to null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.